#include <iostream>

using namespace std;

int main()
{
    int t, i, j, k, n ,m, f;
    cin>>t;
    for(i=0;i<t;i++)
    {
        cin>>n>>m;
        int x[n], y[m];
        for(j=0;j<n;j++)
        {
            cin>>x[j];
        }

        for(k=0;k<m;k++)
        {
            cin>>y[j];
        }
    }
    for(f=0;f<t;f++)
    {
        cout<<1<<endl;
    }
}